[R] RMySQL Error Messages, crashing R

From: Jason Horn <jhorn_at_bu.edu>
Date: Mon 20 Feb 2006 - 13:56:15 EST


I am having trouble getting RMySQL working with R. It did at one point, work with an older 1.x version of R, but now with R2.2.1, I am getting the following messages on my OS X 10.4.5 system:

RS-DBI driver warning: (MySQL mismatch between compiled version 4.0.24 and runtime version 4.1.14)

if I then try to run any further db commands such as dbConnect, R crashes with a bus error. When I started getting this error, I was using MySQL 5. I have since removed that installation and instead installed the older 4.0.24. I still get the error message. I have also tried other versions of MySQL, but the error persists. I have also tried installing RMySQL from sources, but it makes no difference.

Does anyone know what this error message means. Are there any OS X users that have with R 2.x working with RMySQL?

Please help!

Jason Horn
Boston University Department of Biology
5 Cumington Street Boston, MA 02215

jhorn@bu.edu
office: 617 353 6987
cell: 401 588 2766

        [[alternative HTML version deleted]]



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Mon Feb 20 14:04:48 2006

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:42:36 EST